﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Infragistics.Documents.Reports.Report;
using Infragistics.Documents.Reports.Report.Section;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
		this.WebDataGrid1.DataSource = GridDataSource();
		this.Button1.Click += new EventHandler(Button1_Click);
		this.Button2.Click += new EventHandler(Button2_Click);
    }

	void Button2_Click(object sender, EventArgs e)
	{
		WebExcelExporter1.DownloadName = "Export.xps";
		WebExcelExporter1.Export(WebDataGrid1);
	}
	protected void ChechBoxChanged(object sender, EventArgs e)
	{
		//if 
	}

	void Button1_Click(object sender, EventArgs e)
	{
		WebDocumentExporter1.Format = Infragistics.Web.UI.GridControls.FileFormat.XPS;
		WebDocumentExporter1.DownloadName = "Export.xps";
		WebDocumentExporter1.TargetPaperOrientation = PageOrientation.Landscape;

		Report report = new Report();
		ISection section = report.AddSection();
		
		section.PageOrientation = PageOrientation.Landscape;
		
		WebDocumentExporter1.Export(WebDataGrid1, report);
	}

	private DataTable GridDataSource()
	{
		// Create a new DataTable.
		System.Data.DataTable table = new DataTable("Table");
		// Declare variables for DataColumn and DataRow objects.
		DataColumn column;
		DataRow row;

		// Create new DataColumn, set DataType, 
		// ColumnName and add to DataTable.    
		column = new DataColumn();
		column.DataType = System.Type.GetType("System.Int32");
		column.ColumnName = "id";
		column.ReadOnly = true;
		// Add the Column to the DataColumnCollection.
		table.Columns.Add(column);

		// Create second column.
		column = new DataColumn();
		column.DataType = System.Type.GetType("System.String");
		column.ColumnName = "Item";
		column.AutoIncrement = false;
		column.Caption = "Item";
		column.ReadOnly = false;
		column.Unique = false;
		// Add the column to the table. 
		table.Columns.Add(column);

		// Create third column.
		column = new DataColumn();
		column.DataType = System.Type.GetType("System.String");
		column.ColumnName = "Data";
		column.AutoIncrement = false;
		column.Caption = "Data";
		column.ReadOnly = false;
		column.Unique = false;
		// Add the column to the table.
		table.Columns.Add(column);

		//Create forth column.
		column = new DataColumn();
		column.DataType = System.Type.GetType("System.String");
		column.ColumnName = "Image";
		column.AutoIncrement = false;
		column.Caption = "Image";
		column.ReadOnly = false;
		column.Unique = false;
		// Add the column to the table.
		table.Columns.Add(column);

		// Make the ID column the primary key column.
		DataColumn[] PrimaryKeyColumns = new DataColumn[1];
		PrimaryKeyColumns[0] = table.Columns["id"];
		table.PrimaryKey = PrimaryKeyColumns;



		for (int i = 0; i <= 20; i++)
		{
			row = table.NewRow();
			row["id"] = i;
			row["Item"] = "Item " + i;
			row["Data"] = "Data " + i;
			row["Image"] = "<img src='Images/redUpTrans.gif' />";
			table.Rows.Add(row);
		}
		return table;

	}
}